<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['login']) == false) {
    echo '<div style="height:100vh;display:flex;justify-content:center;align-items:center">' . '<div>';
    echo '<p>ログインされていません。</p>';
    echo '<a href="../staff_login/staff_login.html">ログイン画面へ</a>';
    echo '</div>' . '</div>';
    exit();
} else {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo $_SESSION['staff_name'] . 'さんログイン中です。';
    echo '</div>' . '</div>';
}
?>

<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            try {
                //inputタグのtype属性をdateにして注文日付を選択する方法にしたため、年月日がまとめてPOSTで送信される
                $date = filter_input(INPUT_POST, 'date');

                $dsn = 'mysql:dbname=shop;host=localhost;charset=utf8';
                $user = 'root';
                $password = '';
                $dbh = new PDO($dsn, $user, $password);
                $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                $sql = '
                SELECT
                    dat_sales.code,
                    dat_sales.date,
                    dat_sales.code_member,
                    dat_sales.name AS dat_sales_name,
                    dat_sales.email,
                    dat_sales.postal1,
                    dat_sales.postal2,
                    dat_sales.address,
                    dat_sales.tel,
                    dat_sales_product.code_product,
                    mst_product.name AS mst_product_name,
                    dat_sales_product.price,
                    dat_sales_product.quantity
                FROM
                    dat_sales,dat_sales_product,mst_product
                WHERE
                    dat_sales.code=dat_sales_product.code_sales
                    AND dat_sales_product.code_product=mst_product.code
                    AND substr(dat_sales.date,1,10)=?
                ';
                //年月日がまとめてPOSTで送信されたため、プレースホルダーは一つ
                $stmt = $dbh->prepare($sql);
                $stmt->bindValue(1, $date);
                $stmt->execute();

                $dbh = null;

                $csv = '注文コード,注文日時,会員番号,お名前,メール,郵便番号,住所,TEL,商品コード,商品名,価格,数量';
                $csv .= "\n";
                while (true) {
                    $rec = $stmt->fetch(PDO::FETCH_ASSOC);
                    if ($rec == false) {
                        break;
                    }
                    $csv .= $rec['code'];
                    $csv .= ',';
                    $csv .= $rec['date'];
                    $csv .= ',';
                    $csv .= $rec['code_member'];
                    $csv .= ',';
                    $csv .= $rec['dat_sales_name'];
                    $csv .= ',';
                    $csv .= $rec['email'];
                    $csv .= ',';
                    $csv .= $rec['postal1'] . 'ー' . $rec['postal2'];
                    $csv .= ',';
                    $csv .= $rec['address'];
                    $csv .= ',';
                    $csv .= $rec['tel'];
                    $csv .= ',';
                    $csv .= $rec['code_product'];
                    $csv .= ',';
                    $csv .= $rec['mst_product_name'];
                    $csv .= ',';
                    $csv .= $rec['price'];
                    $csv .= ',';
                    $csv .= $rec['quantity'];
                    $csv .= "\n";
                }
                //echo nl2br($csv);
                //変更点　CSVのダウンロードファイル名をランダムに生成するためにmt_rand関数でランダム値をファイル名の先頭に追加
                $filename = mt_rand() . 'chumon.csv';
                $file = fopen('./' . $filename, 'w');
                $csv = mb_convert_encoding($csv, 'SJIS', 'UTF-8');
                fputs($file, $csv);
                fclose($file);
            } catch (Exception $e) {
                //変更点　exit文で文字列を指定、getMessage()でエラーメッセージを表示
                //echo 'ただいま障害により大変ご迷惑をお掛けしております。';
                echo $e->getMessage(); //エラーメッセージを表示させる
                exit('ただいま障害により大変ご迷惑をお掛けしております。');
            }
            ?>
            <!--<a>タグのdownload属性でURLは変えずにダウンロードされるファイル名のみを変更-->
            <a href="<?php echo $filename ?>" download="chumon.csv">注文データのダウンロード</a> <br>
            <br>
            <a href="order_download.php">日付選択へ</a><br>
            <br>
            <a href="../staff_login/staff_top.php">トップメニューへ</a>
        </div>
    </div>
</body>

</html>
