<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['login']) == false) {
    echo '<div style="height:100vh;display:flex;justify-content:center;align-items:center">' . '<div>';
    echo '<p>ログインされていません。</p>';
    echo '<a href="../staff_login/staff_login.html">ログイン画面へ</a>';
    echo '</div>' . '</div>';
    exit();
} else {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo $_SESSION['staff_name'] . 'さんログイン中です。';
    echo '</div>' . '</div>';
}
?>

<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            require_once('../common/common.php');
            try {
                //変更点　$_POST['']からfilter_input(INPUT_POST, '')に
                $pro_code = filter_input(INPUT_POST, 'code');
                $pro_name = filter_input(INPUT_POST, 'name');
                $pro_price = filter_input(INPUT_POST, 'price');
                $pro_gazou_name_old = filter_input(INPUT_POST, 'gazou_name_old');
                $pro_gazou_name = filter_input(INPUT_POST, 'gazou_name');

                //変更点　入力値を表示しない項目については、エスケープ命令はいらない
                //$pro_code = htmlspecialchars($pro_code, ENT_QUOTES, 'UTF-8');
                //$pro_name = htmlspecialchars($pro_name, ENT_QUOTES, 'UTF-8');
                //$pro_price = htmlspecialchars($pro_price, ENT_QUOTES, 'UTF-8');

                $dsn = 'mysql:dbname=shop;host=localhost;charset=utf8';
                $user = 'root';
                $password = '';
                $dbh = new PDO($dsn, $user, $password);
                $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                $sql = 'UPDATE mst_product SET name=?,price=?,gazou=? WHERE code=?';
                $stmt = $dbh->prepare($sql);
                $data[] = escape($pro_name);
                $data[] = escape($pro_price);
                $data[] = $pro_gazou_name;
                $data[] = escape($pro_code);
                $stmt->execute($data);

                $dbh = null;

                if ($pro_gazou_name !== $pro_gazou_name_old) {
                    if ($pro_gazou_name_old != '') {
                        $pro_gazou_name_old = trim($pro_gazou_name_old);
                        unlink('./gazou/' . $pro_gazou_name_old);
                        //var_dump($pro_gazou_name_old);
                    }
                }
                echo '修正しました。<br>';
            } catch (Exception $e) {
                //変更点　exit文で文字列を指定、getMessage()でエラーメッセージを表示
                //echo 'ただいま障害により大変ご迷惑をお掛けしております。';
                echo $e->getMessage(); //エラーメッセージを表示させる
                exit('ただいま障害により大変ご迷惑をお掛けしております。');
            }
            ?>
            <a href="pro_list.php">戻る</a>
        </div>
    </div>
</body>

</html>
