<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['member_login']) == false) {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo '<b>ようこそゲスト様&emsp;</b>';
    echo '<b><a href="member_login.html">会員ログイン</a></b>';
    echo '</div>' . '</div>';
} else {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo '<b>ようこそ' . $_SESSION['member_name'] . '様&emsp;</b>';
    echo '<b><a href="member_logout.php">ログアウト</a></b>';
    echo '</div>' . '</div>';
}
?>

<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            require_once('../common/common.php');
            try {
                if (isset($_SESSION['cart']) == true) {
                    //変更点　$_POST['']からfilter_input(INPUT_POST, '')に
                    //$pro_code = filter_input(INPUT_GET, 'procode');
                    $cart = $_SESSION['cart'];
                    $kazu = $_SESSION['kazu'];
                    //配列内の要素の数
                    $max = count($cart);
                    //var_dump($cart);
                    //exit();
                } else {
                    $max = 0;
                }
                if ($max == 0) {
                    echo '<p>カートに商品が入っていません。</p>';
                    echo '<a href="shop_list.php">商品一覧に戻る</a>';
                    exit();
                }

                $dsn = 'mysql:dbname=shop;host=localhost;charset=utf8';
                $user = 'root';
                $password = '';
                $dbh = new PDO($dsn, $user, $password);
                $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                foreach ($cart as $key => $value) {
                    $sql = 'SELECT code,name,price,gazou FROM mst_product WHERE code=?';
                    $stmt = $dbh->prepare($sql);
                    $data[0] = $value;
                    $stmt->execute($data);

                    $rec = $stmt->fetch(PDO::FETCH_ASSOC);

                    $pro_name[] = $rec['name'];
                    $pro_price[] = $rec['price'];
                    if ($rec['gazou'] == '') {
                        $pro_gazou[] = '';
                    } else {
                        $pro_gazou[] = '<img src="../product/gazou/' . $rec['gazou'] . '">';
                    }
                }
                $dbh = null;
            } catch (Exception $e) {
                //変更点　exit文で文字列を指定
                //echo 'ただいま障害により大変ご迷惑をお掛けしております。';
                exit('ただいま障害により大変ご迷惑をお掛けしております。');
            }
            //ヒアドキュメントを使用
            /*
    echo <<<EOM
<h3>スタッフ修正</h3>
<p>スタッフコード</p>
{$pro_code}
<br>
<br>
<form method="post" action="pro_edit_check.php">
<input type="hidden" name="code" value="{$pro_code}">
<p>スタッフ名</p>
        <input type="text" name="name" style="width:200px" value="{$pro_name}">
<p>パスワードを入力してください。</p>
        <input type="password" name="pass" style="width:200px">
<p>パスワードをもう一度入力してください。</p>
        <input type="password" name="pass2" style="width:200px">
<br>
        <input type="button" onclick="history.back()" value="戻る">
        <input type="submit" value="OK">
    </form>

EOM;
*/
            ?>

            <h2>カートの中身</h2>
            <ul style="display:flex;justify-content:space-between" ;>
                <li style="display:inline-block;flex-grow:0.1;text-align:left">商品</li>
                <li style="display:inline-block">商品画像</li>
                <li style="display:inline-block">価格</li>
                <li style="display:inline-block">数量</li>
                <li style="display:inline-block">小計</li>
                <li style="display:inline-block;flex-grow:0.1;text-align:left">削除</li>
            </ul>
            <form method="POST" action="kazu_change.php">
                <?php
                for ($i = 0; $i < $max; $i++) {
                    ?>
                    <?php
                        echo $pro_name[$i];
                        echo $pro_gazou[$i];
                        echo $pro_price[$i] . '円&emsp;'; ?>
                    <input type="number" min="1" max="100" name="kazu<?php echo $i; ?>" value="<?php echo escape($kazu[$i]); ?>">個&emsp;
                    <?php echo $pro_price[$i] * $kazu[$i] . '円&emsp;'; ?>
                    <input type="checkbox" name="sakujo<?php echo $i; ?>">
                    <br>
                    <br>
                <?php
                }
                ?>

                <!--変更点　hiddenの場合にもエスケープ処理-->
                <input type="hidden" name="max" value="<?php echo escape($max); ?>">
                <input type="submit" value="数量変更">&emsp;
                <!--商品削除ボタンを追加-->
                <input type="submit" name="nozoku" value="商品削除">&emsp;
                <input type="button" onclick="history.back()" value="戻る">
            </form>
            <br>
            <a href="shop_form.html">ご購入手続きへ進む</a>

            <?php
            if (isset($_SESSION['member_login']) == true) {
                echo '<br><br>';
                echo '<a href="shop_kantan_check.php">会員かんたん注文へ進む</a><br>';
            }
            ?>
        </div>
    </div>
</body>

</html>
