<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['member_login']) == false) {
    echo '<div style="height:100vh;display:flex;justify-content:center;align-items:center">' . '<div>';
    echo '<p>ログインされていません。</p>';
    echo '<a href="shop_list.php">商品一覧へ</a>';
    echo '</div>' . '</div>';
    exit();
}
?>
<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            try {
                require_once('../common/common.php');

                $onamae = filter_input(INPUT_POST, 'onamae');
                $email = filter_input(INPUT_POST, 'email');
                $postal1 = filter_input(INPUT_POST, 'postal1');
                $postal2 = filter_input(INPUT_POST, 'postal2');
                $address = filter_input(INPUT_POST, 'address');
                $tel = filter_input(INPUT_POST, 'tel');

                echo '<p>' . escape($onamae) . '様</p>';
                echo '<p>ご注文ありがとうございました。</p>';
                echo '<p>' . escape($email) . 'にメールを送りましたのでご確認ください。</p>';
                echo '<p>商品は以下の住所に発送させて頂きます。</p>';
                echo '〒&nbsp;' . escape($postal1) . '-' . escape($postal2) . '<br>';
                echo '住所:&nbsp;' . escape($address) . '<br>';
                echo 'TEL:&nbsp;' . escape($tel) . '<br>';

                $honbun = '';
                //テキストメールの場合はエスケープ命令は不要、HTMLメールの場合には必要
                $honbun .= $onamae . "様\n\nこの度はご注文ありがとうございました。\n";
                $honbun .= "\n";
                $honbun .= "ご注文商品\n";
                $honbun .= "--------------------\n";

                $cart = $_SESSION['cart'];
                $kazu = $_SESSION['kazu'];
                $max = count($cart);

                $dsn = 'mysql:dbname=shop;host=localhost;charset=utf8';
                $user = 'root';
                $password = '';
                $dbh = new PDO($dsn, $user, $password);
                $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                for ($i = 0; $i < $max; $i++) {
                    $sql = 'SELECT code,name,price,gazou FROM mst_product WHERE code=?';
                    $stmt = $dbh->prepare($sql);
                    $data[0] = $cart[$i];
                    $stmt->execute($data);

                    $rec = $stmt->fetch(PDO::FETCH_ASSOC);

                    $name = $rec['name'];
                    $price = $rec['price'];
                    $kakaku[] = $price;
                    $suryo = $kazu[$i];
                    $shokei = $price * $suryo;

                    $honbun .= $name . '';
                    $honbun .= $price . '円×';
                    $honbun .= $suryo . '個=';
                    $honbun .= $shokei . "円\n";
                }

                $sql = 'LOCK TABLES dat_sales WRITE,dat_sales_product WRITE,dat_member WRITE';
                $stmt = $dbh->prepare($sql);
                $stmt->execute();

                $lastmembercode = $_SESSION['member_code'];
                $sql = 'INSERT INTO dat_sales(code_member,name,email,postal1,postal2,address,tel)VALUES(?,?,?,?,?,?,?)';
                $stmt = $dbh->prepare($sql);
                //変更点　bindValue関数に変更
                $stmt->bindValue(1, $lastmembercode);
                $stmt->bindValue(2, $onamae);
                $stmt->bindValue(3, $email);
                $stmt->bindValue(4, $postal1);
                $stmt->bindValue(5, $postal2);
                $stmt->bindValue(6, $address);
                $stmt->bindValue(7, $tel);
                $stmt->execute();

                $sql = 'SELECT LAST_INSERT_ID()';
                $stmt = $dbh->prepare($sql);
                $stmt->execute();
                $rec = $stmt->fetch(PDO::FETCH_ASSOC);
                $lastcode = $rec['LAST_INSERT_ID()'];

                for ($i = 0; $i < $max; $i++) {
                    $sql = 'INSERT INTO dat_sales_product(code_sales,code_product,price,quantity)VALUES(?,?,?,?)';
                    $stmt = $dbh->prepare($sql);
                    $stmt->bindValue(1, $lastcode);
                    $stmt->bindValue(2, $cart[$i]);
                    $stmt->bindValue(3, $kakaku[$i]);
                    $stmt->bindValue(4, $kazu[$i]);
                    $stmt->execute();
                }

                $sql = 'UNLOCK TABLES';
                $stmt = $dbh->prepare($sql);
                $stmt->execute();

                $dbh = null;

                $honbun .= "送料は無料です。\n";
                $honbun .= "--------------------\n";
                $honbun .= "\n";
                $honbun .= "代金は以下の口座にお振込み下さい。\n";
                $honbun .= "ろくまる銀行　やさい支店　普通口座　1234567\n";
                $honbun .= "入金確認が取れ次第、梱包、発送させて頂きます。\n";
                $honbun .= "\n";

                $honbun .= "□□□□□□□□□□□□□□□□□□\n";
                $honbun .= "～安心野菜のろくまる農園～\n";
                $honbun .= "\n";
                $honbun .= "◯◯県六丸郡六丸村123-4\n";
                $honbun .= "電話　090-6060-☓☓☓☓\n";
                $honbun .= "メール　info@rokumarunouen.co.jp\n";
                $honbun .= "□□□□□□□□□□□□□□□□□□\n";
                //echo '<br>';
                //echo nl2br(escape($honbun));

                $title = 'ご注文ありがとうございます。';
                $header = 'From:info@rokumarunouen.co.jp';
                $honbun = html_entity_decode($honbun, ENT_QUOTES, 'UTF-8');
                mb_language('Japanese');
                mb_internal_encoding('UTF-8');
                mb_send_mail($email, $title, $honbun, $header);

                $title = 'お客様からご注文がありました。';
                //変更点　メールヘッダインジェクション対策としてstr_replace関数で改行コードを空白に置換
                $header = 'From:' . str_replace(PHP_EOL, '', $email);
                $honbun = html_entity_decode($honbun, ENT_QUOTES, 'UTF-8');
                mb_language('Japanese');
                mb_internal_encoding('UTF-8');
                mb_send_mail('info@rokumarunouen.co.jp', $title, $honbun, $header);

                //変更点　商品を購入後、カートを空にするためにunset関数で$_SESSION['cart']と$_SESSION['kazu']を削除
                unset($_SESSION['cart']);
                unset($_SESSION['kazu']);
            } catch (Exception $e) {
                //変更点　exit文で文字列を指定、getMessage()でエラーメッセージを表示
                echo $e->getMessage(); //エラーメッセージを表示させる
                exit('ただいま障害により大変ご迷惑をお掛けしております。');
            }
            ?>

            <br>
            <a href="shop_list.php">商品画面へ</a>
        </div>
    </div>
</body>

</html>
