<?php
require_once('../common/common.php');
try {
    $staff_code = filter_input(INPUT_POST, 'code');
    $staff_pass = filter_input(INPUT_POST, 'pass');

    //$staff_code = htmlspecialchars($staff_code, ENT_QUOTES, 'UTF-8');
    //変更点　入力値を表示しない項目については、エスケープ命令はいらない
    //$staff_pass = htmlspecialchars($staff_pass, ENT_QUOTES, 'UTF-8');

    //変更点 パスワードの暗号化方法をmd5()からpassword_hash()に
    $staff_pass = password_hash($staff_pass, PASSWORD_DEFAULT);

    $dsn = 'mysql:dbname=shop;host=localhost;charset=utf8';
    $user = 'root';
    $password = '';
    $dbh = new PDO($dsn, $user, $password);
    $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    $sql = 'SELECT * FROM mst_staff WHERE code=? AND password=?';
    $stmt = $dbh->prepare($sql);
    //$data[] = $staff_code;
    //$data[] = $staff_pass;
    //変更点　SQL文の?（プレースホルダ）が2つなので、バインド変数も2つにする
    $stmt->bindValue(1, escape($staff_code), PDO::PARAM_INT);
    $stmt->bindValue(2, escape($staff_pass), PDO::PARAM_INT);
    $stmt->execute();

    $rec = $stmt->fetch(PDO::FETCH_ASSOC);
    //var_dump($rec['code']);
    //exit();
    $dbh = null;

    //変更点　trying to access array offset on value of type bool inエラーが発生したため、issetで本当に配列の中身が空っぽの場合の処理を追加
    if (isset($rec['code']) == false) {
        echo '<div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>';
        echo '<div>';
        echo '<p>スタッフコードかパスワードが間違っています。</p>';
        echo '<a href="staff_login.html">戻る</a>';
        echo '</div>';
        echo '</div>';
    }
    //password_verify関数の第一引数は、ハッシュ化されていない入力された生パスワードでなければダメ
    if (password_verify($_POST['pass'], $rec['password'])) {
        session_start();
        $_SESSION['login'] = 1;
        $_SESSION['staff_code'] = $staff_code;
        $_SESSION['staff_name'] = $rec['name'];
        header('Location:staff_top.php');
        exit();
    } else {
        echo '<div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>';
        echo '<div>';
        echo '<p>スタッフコードかパスワードが間違っています。</p>';
        echo '<a href="staff_login.html">戻る</a>';
        echo '</div>';
        echo '</div>';
    }
} catch (Exception $e) {
    echo $e->getMessage();
    echo 'ただいま障害により大変ご迷惑をお掛けしております。';
    exit();
}
